#ifdef GL_ES
precision mediump float;
#endif
uniform sampler2D   u_tex0;
uniform float		u_shine;
uniform mat4		u_colourtrans;
varying vec2        v_texture;
varying vec4	    v_col;
void main()
	{
	/*
	mat4 mx = mat4(
		1, 0, 0, 0, 
		0, 1.2, 0, 0, 
		0, 2, 2, 0, 
		0, 0, 0, 1);
		*/

	gl_FragColor = (texture2D(u_tex0, v_texture) * (v_col.a /** 0.5*/)) * u_colourtrans;
	}
